Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.ant
Class IvyTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              fr.jayasoft.ivy.ant.IvyTask

Direct Known Subclasses:
  IvyArtifactProperty, IvyBuildList, IvyCacheTask, IvyCheck, IvyConfigure, IvyConvertPom, IvyDeliver, IvyExtractFromSources, IvyInstall, IvyPublish, IvyReport, IvyResolve, IvyRetrieve, IvyVar

public class IvyTask
extends org.apache.tools.ant.Task

Author:
  Hanin

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IvyTask()`

Method Summary
`protected boolean` | `doValidate(Ivy ivy)`
`protected void` | `ensureMessageInitialised()`
`protected void` | `ensureResolved(boolean haltOnFailure, java.lang.String org, java.lang.String module)`
`protected Ivy` | `getIvyInstance()`
`protected java.lang.String` | `getProperty(Ivy ivy, java.lang.String name)`
`protected java.lang.String` | `getProperty(java.lang.String value, Ivy ivy, java.lang.String name)`
`protected java.util.Date` | `getPubDate(java.lang.String date, java.util.Date def)`
`boolean` | `isValidate()`
`protected java.lang.String` | `mergeConfs(java.lang.String[] conf)`
`protected void` | `setIvyInstance(Ivy ivy)`
`protected void` | `setResolved(ModuleDescriptor md)`
`void` | `setValidate(boolean validate)`
`protected java.lang.String[]` | `splitConfs(java.lang.String conf)`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IvyTask

    public IvyTask()

Method Detail

### doValidate

    protected boolean doValidate(Ivy ivy)

### isValidate

    public boolean isValidate()

### setValidate

    public void setValidate(boolean validate)

### getIvyInstance

    protected Ivy getIvyInstance()

### ensureMessageInitialised

    protected void ensureMessageInitialised()

### setIvyInstance

    protected void setIvyInstance(Ivy ivy)

### setResolved

    protected void setResolved(ModuleDescriptor md)

### ensureResolved

    protected void ensureResolved(boolean haltOnFailure,
                                  java.lang.String org,
                                  java.lang.String module)

### splitConfs

    protected java.lang.String[] splitConfs(java.lang.String conf)

### mergeConfs

    protected java.lang.String mergeConfs(java.lang.String[] conf)

### getPubDate

    protected java.util.Date getPubDate(java.lang.String date,
                                        java.util.Date def)

### getProperty

    protected java.lang.String getProperty(java.lang.String value,
                                           Ivy ivy,
                                           java.lang.String name)

### getProperty

    protected java.lang.String getProperty(Ivy ivy,
                                           java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD